Bug 1123192 - Supported formats list on homepage is very incomplete
Summary: Supported formats list on homepage is very incomplete
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Zanata
Classification: Retired
Component: WebSite
Version: 3.4
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: Damian Jansen
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 05:38 UTC by David Mason
Modified: 2015-07-29 03:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 03:27:52 UTC


Attachments (Terms of Use)

Description David Mason 2014-07-25 05:38:53 UTC
Description of problem:

Homepage of zanata.org has "Currently supported: GNU Gettext-based PO files, Java Properties, XLIFF", but there are many other formats that Zanata supports. This should be kept up-to-date with all supported formats.

Comment 1 Damian Jansen 2014-07-25 06:01:43 UTC
Is this in the About page? The Features page has a (mostly) complete list as well - probably shouldn't be duplicating it.

Comment 2 David Mason 2014-07-27 23:02:22 UTC
(In reply to Damian Jansen from comment #1)
> Is this in the About page? The Features page has a (mostly) complete list as
> well - probably shouldn't be duplicating it.

Nope, the main page ( http://zanata.org/ ), in the "For Developers" section. I think it is ok to show it in multiple places, but we should be getting the list from a single location so that it is easy to update.

Comment 3 Ding-Yi Chen 2014-07-28 00:00:07 UTC
I suppose a link "support formats" that point to supported format section in Features page is sufficient.

Otherwise, we need to have someone manually update all the instances whenever we add new supported formats.

Comment 4 David Mason 2014-07-28 00:46:00 UTC
(In reply to Ding-Yi Chen from comment #3)
> I suppose a link "support formats" that point to supported format section in
> Features page is sufficient.

I would not consider that sufficient - we are advertising what we can do, so it is not something that we want to hide behind a click. The main page needs to let people know straight away if Zanata is something that could be useful for them, and supporting the formats they use may be a key part of that.

> Otherwise, we need to have someone manually update all the instances
> whenever we add new supported formats.

We can have a variable that holds the list, and display that variable in multiple places - no need for a human to change it in multiple places every time.

Comment 5 Zanata Migrator 2015-07-29 03:27:52 UTC
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-277


Note You need to log in before you can comment on or make changes to this bug.